Bug 1364777 (fifechan) - Review Request: fifechan - C++ GUI library designed for games
Summary: Review Request: fifechan - C++ GUI library designed for games
Keywords:
Status: CLOSED RAWHIDE
Alias: fifechan
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG 1016928
TreeView+ depends on / blocked
 
Reported: 2016-08-07 11:19 UTC by Igor Gnatenko
Modified: 2016-11-19 09:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 09:42:27 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2016-08-07 11:19:35 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/fifechan.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/fifechan-0.1.2-1.git7b77184.fc26.src.rpm
Description:
Fifechan is a lightweight cross platform GUI library written in C++
specifically designed for games. It has a small yet powerful built in set of
extendable GUI Widgets allowing users to create virtually unlimited types of
widgets. Fifechan supports rendering in SDL, OpenGL, or Allegro out of the box
or it can be adapted to use any rendering engine the user requires. Events are
pushed to Fifechan which allows users to use any input library they wish or
they could use the built in input handling through either SDL input or
Allegro input. The primary goal for Fifechan is to keep it extendable,
lightweight and still be powerful enough to use in all types of games
out of the box.
Fedora Account System Username: ignatenkobrain

Comment 1 Igor Gnatenko 2016-08-07 11:20:35 UTC
*** Bug 1069023 has been marked as a duplicate of this bug. ***

Comment 2 Mukundan Ragavan 2016-08-07 13:16:57 UTC
taking for review.

Comment 3 Vadim Rutkovsky 2016-08-08 15:57:33 UTC
Informal review:
 1) Missing documentation and license macros
 2) No ldconfig in %postin/%postun

Comment 4 Gwyn Ciesla 2016-08-11 15:23:20 UTC
Correct license tag is BSD and LGPLv2+.

Comment 5 Mukundan Ragavan 2016-08-12 00:35:51 UTC
There are some items that need fixing. Please take a look.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

---> This can be ignored. BuildRequires exceptions have been removed.

- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in fifechan, fifechan-allegro, fifechan-
  irrlicht, fifechan-opengl, fifechan-sdl
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

---> Please fix this.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

---> license seems to be missing.

Please follow guidelines given here - 
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text


[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "BSL LGPL (v2.1 or later)", "Unknown or
     generated", "BSD (3 clause) LGPL (v2.1 or later)". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1364777-fifechan/licensecheck.txt


---> Please see licensecheck.txt. License should be BSD and LGPLv2+


[!]: License file installed when any subpackage combination is installed.

---> See comment above.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     fifechan-allegro-devel , fifechan-irrlicht-devel , fifechan-opengl-
     devel , fifechan-sdl-devel , fifechan-debuginfo

---> This seems fine as far as I can tell.

-devel requires fifechan
allegro-devel requires -devel
irrlicht-devel requires -devel
opengl-devel requires -devel
sdl-devel requires -devel

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fifechan-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-devel-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-allegro-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-allegro-devel-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-irrlicht-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-irrlicht-devel-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-opengl-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-opengl-devel-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-sdl-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-sdl-devel-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-debuginfo-0.1.2-1.git7b77184.fc26.x86_64.rpm
          fifechan-0.1.2-1.git7b77184.fc26.src.rpm
fifechan.x86_64: W: no-documentation
fifechan.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan.so.0.1.2
fifechan.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan.so.0.1.2
fifechan-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-devel.x86_64: W: no-documentation
fifechan-allegro.x86_64: W: no-documentation
fifechan-allegro.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_allegro.so.0.1.2
fifechan-allegro.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_allegro.so.0.1.2
fifechan-allegro-devel.x86_64: W: no-dependency-on fifechan-allegro/fifechan-allegro-libs/libfifechan-allegro
fifechan-allegro-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-allegro-devel.x86_64: W: no-documentation
fifechan-irrlicht.x86_64: W: no-documentation
fifechan-irrlicht.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_irrlicht.so.0.1.2
fifechan-irrlicht.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_irrlicht.so.0.1.2
fifechan-irrlicht-devel.x86_64: W: no-dependency-on fifechan-irrlicht/fifechan-irrlicht-libs/libfifechan-irrlicht
fifechan-irrlicht-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-irrlicht-devel.x86_64: W: no-documentation
fifechan-opengl.x86_64: W: no-documentation
fifechan-opengl.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_opengl.so.0.1.2
fifechan-opengl.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_opengl.so.0.1.2
fifechan-opengl-devel.x86_64: W: no-dependency-on fifechan-opengl/fifechan-opengl-libs/libfifechan-opengl
fifechan-opengl-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-opengl-devel.x86_64: W: no-documentation
fifechan-sdl.x86_64: W: no-documentation
fifechan-sdl.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_sdl.so.0.1.2
fifechan-sdl.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_sdl.so.0.1.2
fifechan-sdl-devel.x86_64: W: no-dependency-on fifechan-sdl/fifechan-sdl-libs/libfifechan-sdl
fifechan-sdl-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-sdl-devel.x86_64: W: no-documentation
12 packages and 0 specfiles checked; 10 errors, 19 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fifechan-debuginfo-0.1.2-1.git7b77184.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
fifechan.x86_64: W: no-documentation
fifechan.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan.so.0.1.2
fifechan.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan.so.0.1.2
fifechan-opengl-devel.x86_64: W: no-dependency-on fifechan-opengl/fifechan-opengl-libs/libfifechan-opengl
fifechan-opengl-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-opengl-devel.x86_64: W: no-documentation
fifechan-sdl-devel.x86_64: W: no-dependency-on fifechan-sdl/fifechan-sdl-libs/libfifechan-sdl
fifechan-sdl-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-sdl-devel.x86_64: W: no-documentation
fifechan-irrlicht-devel.x86_64: W: no-dependency-on fifechan-irrlicht/fifechan-irrlicht-libs/libfifechan-irrlicht
fifechan-irrlicht-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-irrlicht-devel.x86_64: W: no-documentation
fifechan-irrlicht.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_irrlicht.so.0.1.2 /lib64/libIrrlicht.so.1
fifechan-irrlicht.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_irrlicht.so.0.1.2 /lib64/libm.so.6
fifechan-irrlicht.x86_64: W: no-documentation
fifechan-irrlicht.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_irrlicht.so.0.1.2
fifechan-irrlicht.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_irrlicht.so.0.1.2
fifechan-opengl.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_opengl.so.0.1.2 /lib64/libGLU.so.1
fifechan-opengl.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_opengl.so.0.1.2 /lib64/libm.so.6
fifechan-opengl.x86_64: W: no-documentation
fifechan-opengl.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_opengl.so.0.1.2
fifechan-opengl.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_opengl.so.0.1.2
fifechan-allegro-devel.x86_64: W: no-dependency-on fifechan-allegro/fifechan-allegro-libs/libfifechan-allegro
fifechan-allegro-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-allegro-devel.x86_64: W: no-documentation
fifechan-sdl.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_sdl.so.0.1.2 /lib64/libm.so.6
fifechan-sdl.x86_64: W: no-documentation
fifechan-sdl.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_sdl.so.0.1.2
fifechan-sdl.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_sdl.so.0.1.2
fifechan-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-devel.x86_64: W: no-documentation
fifechan-allegro.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_allegro.so.0.1.2 /lib64/libm.so.6
fifechan-allegro.x86_64: W: no-documentation
fifechan-allegro.x86_64: E: library-without-ldconfig-postin /usr/lib64/libfifechan_allegro.so.0.1.2
fifechan-allegro.x86_64: E: library-without-ldconfig-postun /usr/lib64/libfifechan_allegro.so.0.1.2
11 packages and 0 specfiles checked; 10 errors, 25 warnings.



Requires
--------
fifechan (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

fifechan-opengl-devel (rpmlib, GLIBC filtered):
    fifechan-devel(x86-64)
    libfifechan_opengl.so.0.1.2()(64bit)
    mesa-libGL-devel(x86-64)

fifechan-sdl-devel (rpmlib, GLIBC filtered):
    SDL2-devel(x86-64)
    SDL2_ttf(x86-64)
    fifechan-devel(x86-64)
    libfifechan_sdl.so.0.1.2()(64bit)

fifechan-irrlicht-devel (rpmlib, GLIBC filtered):
    fifechan-devel(x86-64)
    irrlicht-devel(x86-64)
    libfifechan_irrlicht.so.0.1.2()(64bit)

fifechan-debuginfo (rpmlib, GLIBC filtered):

fifechan-irrlicht (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    libIrrlicht.so.1()(64bit)
    libc.so.6()(64bit)
    libfifechan.so.0.1.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

fifechan-opengl (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libc.so.6()(64bit)
    libfifechan.so.0.1.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

fifechan-allegro-devel (rpmlib, GLIBC filtered):
    allegro-devel(x86-64)
    fifechan-devel(x86-64)
    libfifechan_allegro.so.0.1.2()(64bit)

fifechan-sdl (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    libSDL2-2.0.so.0()(64bit)
    libSDL2_image-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libfifechan.so.0.1.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

fifechan-devel (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    libfifechan.so.0.1.2()(64bit)

fifechan-allegro (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    liballeg.so.4.4()(64bit)
    libc.so.6()(64bit)
    libfifechan.so.0.1.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)



Provides
--------
fifechan:
    fifechan
    fifechan(x86-64)
    libfifechan.so.0.1.2()(64bit)

fifechan-opengl-devel:
    fifechan-opengl-devel
    fifechan-opengl-devel(x86-64)

fifechan-sdl-devel:
    fifechan-sdl-devel
    fifechan-sdl-devel(x86-64)

fifechan-irrlicht-devel:
    fifechan-irrlicht-devel
    fifechan-irrlicht-devel(x86-64)

fifechan-debuginfo:
    fifechan-debuginfo
    fifechan-debuginfo(x86-64)

fifechan-irrlicht:
    fifechan-irrlicht
    fifechan-irrlicht(x86-64)
    libfifechan_irrlicht.so.0.1.2()(64bit)

fifechan-opengl:
    fifechan-opengl
    fifechan-opengl(x86-64)
    libfifechan_opengl.so.0.1.2()(64bit)

fifechan-allegro-devel:
    fifechan-allegro-devel
    fifechan-allegro-devel(x86-64)

fifechan-sdl:
    fifechan-sdl
    fifechan-sdl(x86-64)
    libfifechan_sdl.so.0.1.2()(64bit)

fifechan-devel:
    fifechan-devel
    fifechan-devel(x86-64)

fifechan-allegro:
    fifechan-allegro
    fifechan-allegro(x86-64)
    libfifechan_allegro.so.0.1.2()(64bit)



Source checksums
----------------
https://github.com/fifengine/fifechan/archive/7b77184d2bee371725b7a56b5276d7259beca98d/fifechan-7b77184.tar.gz :
  CHECKSUM(SHA256) this package     : 6511f26ea8a4fceafdb38ccdd7739cac7334f1367e827538316d669afc0b2b59
  CHECKSUM(SHA256) upstream package : 6511f26ea8a4fceafdb38ccdd7739cac7334f1367e827538316d669afc0b2b59


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1364777
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Mukundan Ragavan 2016-08-12 00:37:04 UTC
koji build here - http://koji.fedoraproject.org/koji/taskinfo?taskID=15221202

Comment 7 Mukundan Ragavan 2016-09-01 23:01:51 UTC
Any news here?

Comment 8 Igor Gnatenko 2016-09-02 06:40:36 UTC
SPEC: https://ignatenkobrain.fedorapeople.org/for-review/fifechan.spec
SRPM: https://ignatenkobrain.fedorapeople.org/for-review/fifechan-0.1.2-2.git7b77184.fc26.src.rpm

* Fri Sep 02 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.2-2.git7b77184
- Add couple of missing Requires
- Add %%post(un) triggers to ldconfig
- Fix license tag

Comment 9 Mukundan Ragavan 2016-09-09 01:29:25 UTC
I am satisfied with the changes. Package APPROVED.

Comment 10 Gwyn Ciesla 2016-11-16 13:30:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fifechan


Note You need to log in before you can comment on or make changes to this bug.